# pod-writefreely

## Deploy

### Dokku

**NOTE:** SQLite is used and the database is generated locally. See _Podman_
section.

```
dokku apps:create writefreely

dokku config:set writefreely --no-restart TZ=Europe/Rome
dokku config:set writefreely --no-restart DOKKU_LETSENCRYPT_EMAIL=example@example.org

dokku storage:mount writefreely /var/lib/dokku/data/storage/writefreely/config.ini:/go/config.ini
dokku storage:mount writefreely /var/lib/dokku/data/storage/writefreely/writefreely.db:/go/writefreely.db

git push dokku main:main

dokku domains:add writefreely example.org
dokku proxy:ports-add writefreely http:80:8080
dokku proxy:ports-remove writefreely http:8080:8080

dokku letsencrypt:enable writefreely
```

### Podman

1. Generate the configuration and sqlite db
   ```
   podman run -it eriol/writefreely config start
   ```
2. Export the container to get the config and the database
   ```
   podman export <container id> > root.tar
   ```
3. Start writefreely
   ```
   podman run -p 8080:8080 -v /tmp/writefreely/config.ini:/go/config.ini -v /tmp/writefreely/writefreely.db:/go/writefreely.db --name blog eriol/writefreely
   ```
4. Enter as root
   ```
   podman exec -u 0 -ti blog /bin/sh
   ```
   and fix ownership
   ```
   chown daemon: config.ini writefreely.db
   ```
5. Create admin user
   ```
   podman exec -ti blog /bin/sh
   ```
   and then
   ```
   cmd/writefreely/writefreely --create-admin admin:secret
   ```
